defmodule NullaWeb.Api.NoteController do
  use NullaWeb, :controller
  alias Nulla.Models.Note

  def index(conn, _params) do
    json(conn, [])
  end

  def show(conn, %{"id" => id}) do
    note = Note.get_note(id: id)

    case note do
      nil ->
        conn
        |> put_status(:not_found)
        |> json(%{error: "Not Found"})

      %Note{} = note ->
        IO.inspect note

        json(conn, %{})
    end
  end

  def create(_conn, _params) do
  end

  def update(_conn, _params) do
  end

  def delete(_conn, _params) do
  end
end
